Role Update Order
Update the global ordering of custom roles. The request body must include every non-default role identifier exactly once in the desired order of precedence.
Update the global ordering of custom roles. The request body must include every non-default role identifier exactly once in the desired order of precedence.
storyden-session<token>application/json- body
role_ids*array<>Ordered list of custom role identifiers in the desired sort order. Must include all custom roles exactly once without default roles.
OK
application/json- response
roles*array<>curl -X PATCH 'https://example.com/api/roles/order' \ -H 'Content-Type: application/json' \ -d '{ "role_ids": [ "string" ]}'{ "roles": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {} } ]}Role Update PATCH
Update a role's attributes. Requires MANAGE_ROLES. Updating a role that already grants ADMINISTRATOR, or granting ADMINISTRATOR to a role, additionally requires ADMINISTRATOR. Updates that would leave no active account with ADMINISTRATOR are rejected with 400.
Access Key Create POST
Create a new access key for the authenticated account. Access keys are used to authenticate API requests on behalf of the account in a more granular and service-friendly way than a session cookie. Access keys share the same roles and permissions as the owning account and only provide a way to use an `Authorization` header as an way of interacting with the Storyden API. Access keys also allow an expiry date to be set to limit how long a key can be used to authenticate against the API.